Name:       nnn
Version:	4.1.1
Release:	%mkrel 1
Summary:    Console terminal file browser for X
Group:      File tools
License:    BSD
Url:        https://github.com/jarun/nnn
Source0:    https://github.com/jarun/nnn/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(readline)


%description
nnn is probably the fastest and most resource-sensitive (with all 
its capabilities) file browser you have ever used. It's extremely flexible 
too - integrates with your DE and favourite GUI utilities, works with 
the desktop opener, supports bookmarks, has smart navigation shortcuts, 
navigate-as-you-type mode, disk usage analyzer mode, comprehensive file 
details and much more. nnn was initially forked from noice but is 
significantly different today.

Cool things you can do with nnn:

 - open any file in the default desktop application or a custom one
 - navigate-as-you-type (search-as-you-type enabled even on directory switch)
 - check disk usage with number of files in current directory tree
 - run desktop search utility (gnome-search-tool or catfish) in any directory
 - copy absolute file paths to clipboard, spawn a terminal and use the paths
 - navigate instantly using shortcuts like ~, -, & or handy bookmarks
 - use cd ..... at chdir prompt to go to a parent directory
 - detailed file stats, media info, list and extract archives
 - pin a directory you may need to revisit and jump to it anytime
 - lock the current terminal after a specified idle time
 - change directory on exit


%files

%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%prep
%setup -q

sed -i "s|^install: all|install:|" Makefile


%build
%setup_compile_flags
%make_build STRIP=/bin/true


%install
%make_install PREFIX=%{_prefix}

%changelog
* Thu Jun 10 2021 tex - 4.1.1-1pclos2021
- 4.1.1

